<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/adc.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">adc.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series ADC driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d44/adc_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2adc_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d7/d19/adc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga23ef4c2a5a02ab838dce57a50f4c57c0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23ef4c2a5a02ab838dce57a50f4c57c0">ADC_CH_0_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 0)</td></tr>
<tr class="separator:ga23ef4c2a5a02ab838dce57a50f4c57c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab07f9bc9fc108ab554cd89f73a5147d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab07f9bc9fc108ab554cd89f73a5147d6">ADC_CH_1_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 1)</td></tr>
<tr class="separator:gab07f9bc9fc108ab554cd89f73a5147d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1a0193e4d0384c3c00089f5d2a577f5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1a0193e4d0384c3c00089f5d2a577f5">ADC_CH_2_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 2)</td></tr>
<tr class="separator:gad1a0193e4d0384c3c00089f5d2a577f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0e5022c31cdb7cb79330ce4c0e82db4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0e5022c31cdb7cb79330ce4c0e82db4">ADC_CH_3_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 3)</td></tr>
<tr class="separator:gaf0e5022c31cdb7cb79330ce4c0e82db4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b7b56e7bbe932279c354bed939553e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1b7b56e7bbe932279c354bed939553e5">ADC_CH_4_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 4)</td></tr>
<tr class="separator:ga1b7b56e7bbe932279c354bed939553e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80605e72245899c4ef5b43c0459cbc5d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga80605e72245899c4ef5b43c0459cbc5d">ADC_CH_5_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 5)</td></tr>
<tr class="separator:ga80605e72245899c4ef5b43c0459cbc5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d54f405d07a0af1cc9d0805c63dff14"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4d54f405d07a0af1cc9d0805c63dff14">ADC_CH_6_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 6)</td></tr>
<tr class="separator:ga4d54f405d07a0af1cc9d0805c63dff14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a354609805b478e54ec33a6bb2cf2e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a354609805b478e54ec33a6bb2cf2e4">ADC_CH_7_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 7)</td></tr>
<tr class="separator:ga2a354609805b478e54ec33a6bb2cf2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1549b2ef23859ebe43510141fd26fee5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1549b2ef23859ebe43510141fd26fee5">ADC_CH_14_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 14)</td></tr>
<tr class="separator:ga1549b2ef23859ebe43510141fd26fee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff4a11c6db5395d775b898ae2a215694"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaff4a11c6db5395d775b898ae2a215694">ADC_CH_15_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 15)</td></tr>
<tr class="separator:gaff4a11c6db5395d775b898ae2a215694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga23340a5ff5c6d0b194b1e43ec101b68d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga23340a5ff5c6d0b194b1e43ec101b68d">ADC_CH_16_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 16)</td></tr>
<tr class="separator:ga23340a5ff5c6d0b194b1e43ec101b68d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac6406f172ce4b2bfb344c416100a4cba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac6406f172ce4b2bfb344c416100a4cba">ADC_CH_17_MASK</a>&#160;&#160;&#160;(1UL &lt;&lt; 17)</td></tr>
<tr class="separator:gac6406f172ce4b2bfb344c416100a4cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e33149c3a801772c97c901cca6bdc00"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9e33149c3a801772c97c901cca6bdc00">ADC_ADCHER_CHEN_Msk</a>&#160;&#160;&#160;(0x3FFFF)</td></tr>
<tr class="separator:ga9e33149c3a801772c97c901cca6bdc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacf4de31eb68fc1ba3ed5dbaf7d9ca88"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaacf4de31eb68fc1ba3ed5dbaf7d9ca88">ADC_PDMADATA_AD_PDMA_Msk</a>&#160;&#160;&#160;(0xFFF)</td></tr>
<tr class="separator:gaacf4de31eb68fc1ba3ed5dbaf7d9ca88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab680e42784b0cef09b59dd50cdd925f5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab680e42784b0cef09b59dd50cdd925f5">ADC_CMP_LESS_THAN</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:gab680e42784b0cef09b59dd50cdd925f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0982f22ea10167b3fbaeea4d7dff8c15"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0982f22ea10167b3fbaeea4d7dff8c15">ADC_CMP_GREATER_OR_EQUAL_TO</a>&#160;&#160;&#160;(<a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga6dad43d7f772c3d26428625b7a69e453">ADC_CMPR_CMPCOND_Msk</a>)</td></tr>
<tr class="separator:ga0982f22ea10167b3fbaeea4d7dff8c15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab00b676b7a485e344250465c7379356c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:gab00b676b7a485e344250465c7379356c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6406d16f2d4bcc5bd0f1f1f58f26850e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6406d16f2d4bcc5bd0f1f1f58f26850e">ADC_TRIGGER_BY_PWM</a>&#160;&#160;&#160;(<a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga329916e0888ee4718195ce0166bee7ec">ADC_CR_TRGS_Msk</a>)</td></tr>
<tr class="separator:ga6406d16f2d4bcc5bd0f1f1f58f26850e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac867f900bb374976aa0d4822a628fb24"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac867f900bb374976aa0d4822a628fb24">ADC_LOW_LEVEL_TRIGGER</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gac10f12299e2eced96e0e77acf60bc14e">ADC_CR_TRGCOND_Pos</a>)</td></tr>
<tr class="separator:gac867f900bb374976aa0d4822a628fb24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad9cb831f2f2d15ab8001a8a717067e8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad9cb831f2f2d15ab8001a8a717067e8">ADC_HIGH_LEVEL_TRIGGER</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gac10f12299e2eced96e0e77acf60bc14e">ADC_CR_TRGCOND_Pos</a>)</td></tr>
<tr class="separator:gaad9cb831f2f2d15ab8001a8a717067e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7a0741d0522d5a08c1ae355cce24f02"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf7a0741d0522d5a08c1ae355cce24f02">ADC_FALLING_EDGE_TRIGGER</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gac10f12299e2eced96e0e77acf60bc14e">ADC_CR_TRGCOND_Pos</a>)</td></tr>
<tr class="separator:gaf7a0741d0522d5a08c1ae355cce24f02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3e21aed15e5d2625c55e335f3e940e8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae3e21aed15e5d2625c55e335f3e940e8">ADC_RISING_EDGE_TRIGGER</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gac10f12299e2eced96e0e77acf60bc14e">ADC_CR_TRGCOND_Pos</a>)</td></tr>
<tr class="separator:gae3e21aed15e5d2625c55e335f3e940e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40dde4ccecc2ebea0a175cd68431ad5d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a>&#160;&#160;&#160;(<a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga68070dae02b65b1e3a84a1826ba2f60b">ADC_SR_ADF_Msk</a>)</td></tr>
<tr class="separator:ga40dde4ccecc2ebea0a175cd68431ad5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41c48b26f935a8b70e8199d52c3581db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a>&#160;&#160;&#160;(<a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gade2ce8806be71c887464e26acd23ad56">ADC_SR_CMPF0_Msk</a>)</td></tr>
<tr class="separator:ga41c48b26f935a8b70e8199d52c3581db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab90d906eaa07da4d1856dffc04be5ed8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a>&#160;&#160;&#160;(<a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga20440bd104673490ef77f2a5f729e071">ADC_SR_CMPF1_Msk</a>)</td></tr>
<tr class="separator:gab90d906eaa07da4d1856dffc04be5ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5312e8592972218813632ce7bae2ecc8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5312e8592972218813632ce7bae2ecc8">ADC_INPUT_MODE_SINGLE_END</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga3125e0d2148932276496eb0fec621d4f">ADC_CR_DIFF_Pos</a>)</td></tr>
<tr class="separator:ga5312e8592972218813632ce7bae2ecc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ab848515c3d4eb8421bd8c6913b6200"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ab848515c3d4eb8421bd8c6913b6200">ADC_INPUT_MODE_DIFFERENTIAL</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga3125e0d2148932276496eb0fec621d4f">ADC_CR_DIFF_Pos</a>)</td></tr>
<tr class="separator:ga3ab848515c3d4eb8421bd8c6913b6200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a8da55983dd1c0c5d30a530795d632f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a8da55983dd1c0c5d30a530795d632f">ADC_OPERATION_MODE_SINGLE</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab390b0c9892c0002da91a8437bc60de7">ADC_CR_ADMD_Pos</a>)</td></tr>
<tr class="separator:ga9a8da55983dd1c0c5d30a530795d632f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga220e0c1a2ae8dd018d0546098f96ccaf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga220e0c1a2ae8dd018d0546098f96ccaf">ADC_OPERATION_MODE_SINGLE_CYCLE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab390b0c9892c0002da91a8437bc60de7">ADC_CR_ADMD_Pos</a>)</td></tr>
<tr class="separator:ga220e0c1a2ae8dd018d0546098f96ccaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae44f6fee52359f107391832c2cb7dccd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae44f6fee52359f107391832c2cb7dccd">ADC_OPERATION_MODE_CONTINUOUS</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab390b0c9892c0002da91a8437bc60de7">ADC_CR_ADMD_Pos</a>)</td></tr>
<tr class="separator:gae44f6fee52359f107391832c2cb7dccd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga06ef86912f77ebf94be3a44f132721d9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga06ef86912f77ebf94be3a44f132721d9">ADC_DMODE_OUT_FORMAT_UNSIGNED</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga3125e0d2148932276496eb0fec621d4f">ADC_CR_DIFF_Pos</a>)</td></tr>
<tr class="separator:ga06ef86912f77ebf94be3a44f132721d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48754a74a3752bf3bd54d94996228fc2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48754a74a3752bf3bd54d94996228fc2">ADC_DMODE_OUT_FORMAT_2COMPLEMENT</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga3125e0d2148932276496eb0fec621d4f">ADC_CR_DIFF_Pos</a>)</td></tr>
<tr class="separator:ga48754a74a3752bf3bd54d94996228fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab371cc05d3a11bfc2c974bd1650119d8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab371cc05d3a11bfc2c974bd1650119d8">ADC_RESSEL_6_BIT</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga6535741c8a38770ba8dc62e27410ca42">ADC_CR_RESSEL_Pos</a>)</td></tr>
<tr class="separator:gab371cc05d3a11bfc2c974bd1650119d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fc7d81905eb914773e9906f7101af8d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4fc7d81905eb914773e9906f7101af8d">ADC_RESSEL_8_BIT</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga6535741c8a38770ba8dc62e27410ca42">ADC_CR_RESSEL_Pos</a>)</td></tr>
<tr class="separator:ga4fc7d81905eb914773e9906f7101af8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3ed3da7b8f106c4d9dba228ae2e5fb5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac3ed3da7b8f106c4d9dba228ae2e5fb5">ADC_RESSEL_10_BIT</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga6535741c8a38770ba8dc62e27410ca42">ADC_CR_RESSEL_Pos</a>)</td></tr>
<tr class="separator:gac3ed3da7b8f106c4d9dba228ae2e5fb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fe8177a5b176f0d726252b9e3660177"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fe8177a5b176f0d726252b9e3660177">ADC_RESSEL_12_BIT</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga6535741c8a38770ba8dc62e27410ca42">ADC_CR_RESSEL_Pos</a>)</td></tr>
<tr class="separator:ga8fe8177a5b176f0d726252b9e3660177"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14331967f600e1833f4d538b0bfe3d00"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga14331967f600e1833f4d538b0bfe3d00">ADC_REFSEL_POWER</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gad8091b0aa639ad98cdf40f737e589e79">ADC_CR_REFSEL_Pos</a>)</td></tr>
<tr class="separator:ga14331967f600e1833f4d538b0bfe3d00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf5f30f308226aec918ed9af4eb62e391"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf5f30f308226aec918ed9af4eb62e391">ADC_REFSEL_INT_VREF</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gad8091b0aa639ad98cdf40f737e589e79">ADC_CR_REFSEL_Pos</a>)</td></tr>
<tr class="separator:gaf5f30f308226aec918ed9af4eb62e391"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfa90b668282f1f962d53a583bda9d15"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadfa90b668282f1f962d53a583bda9d15">ADC_REFSEL_VREF</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gad8091b0aa639ad98cdf40f737e589e79">ADC_CR_REFSEL_Pos</a>)</td></tr>
<tr class="separator:gadfa90b668282f1f962d53a583bda9d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">ADC_GET_CONVERSION_DATA</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the latest ADC conversion data.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348ede2ad296ea3bd6d1762e5a40792c">More...</a><br /></td></tr>
<tr class="separator:ga348ede2ad296ea3bd6d1762e5a40792c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">ADC_GET_INT_FLAG</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the user-specified interrupt flags.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga708c39981374e8a7521a76bfa4b8ff3d">More...</a><br /></td></tr>
<tr class="separator:ga708c39981374e8a7521a76bfa4b8ff3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga468c4f6f057eaac800914c0b11a1637a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">ADC_CLR_INT_FLAG</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga468c4f6f057eaac800914c0b11a1637a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear the selected interrupt status bits.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga468c4f6f057eaac800914c0b11a1637a">More...</a><br /></td></tr>
<tr class="separator:ga468c4f6f057eaac800914c0b11a1637a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc0053e6e706e74676beb837989c8a19"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">ADC_IS_BUSY</a>(adc)</td></tr>
<tr class="memdesc:gadc0053e6e706e74676beb837989c8a19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the busy state of ADC.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadc0053e6e706e74676beb837989c8a19">More...</a><br /></td></tr>
<tr class="separator:gadc0053e6e706e74676beb837989c8a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">ADC_IS_DATA_OVERRUN</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the ADC conversion data is over written or not.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35ce5b09aaa4fa7f4f80da7db939a6cf">More...</a><br /></td></tr>
<tr class="separator:ga35ce5b09aaa4fa7f4f80da7db939a6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4fb6ce4b41601827dd291a283fee1b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">ADC_IS_DATA_VALID</a>(adc,  u32ChNum)</td></tr>
<tr class="memdesc:gab4fb6ce4b41601827dd291a283fee1b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if the ADC conversion data is valid or not.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab4fb6ce4b41601827dd291a283fee1b9">More...</a><br /></td></tr>
<tr class="separator:gab4fb6ce4b41601827dd291a283fee1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21a643f0dc98000be2a75e949a4ab13b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">ADC_POWER_DOWN</a>(adc)</td></tr>
<tr class="memdesc:ga21a643f0dc98000be2a75e949a4ab13b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Power down ADC module.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21a643f0dc98000be2a75e949a4ab13b">More...</a><br /></td></tr>
<tr class="separator:ga21a643f0dc98000be2a75e949a4ab13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga781f92e0e406d725fbc8b475545e4804"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">ADC_POWER_ON</a>(adc)</td></tr>
<tr class="memdesc:ga781f92e0e406d725fbc8b475545e4804"><td class="mdescLeft">&#160;</td><td class="mdescRight">Power on ADC module.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga781f92e0e406d725fbc8b475545e4804">More...</a><br /></td></tr>
<tr class="separator:ga781f92e0e406d725fbc8b475545e4804"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c57f56dff82e5fe93379d5a5d541901"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">ADC_ENABLE_CMP0</a>(adc,  u32ChNum,  u32Condition,  u32Data,  u32MatchCount)</td></tr>
<tr class="memdesc:ga1c57f56dff82e5fe93379d5a5d541901"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the comparator 0 and enable it.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1c57f56dff82e5fe93379d5a5d541901">More...</a><br /></td></tr>
<tr class="separator:ga1c57f56dff82e5fe93379d5a5d541901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf9488cca5de5aac395872d0cd0174054"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">ADC_DISABLE_CMP0</a>(adc)</td></tr>
<tr class="memdesc:gaf9488cca5de5aac395872d0cd0174054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable comparator 0.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9488cca5de5aac395872d0cd0174054">More...</a><br /></td></tr>
<tr class="separator:gaf9488cca5de5aac395872d0cd0174054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">ADC_ENABLE_CMP1</a>(adc,  u32ChNum,  u32Condition,  u32Data,  u32MatchCount)</td></tr>
<tr class="memdesc:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the comparator 1 and enable it.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga54a951c643d6f36f9b09c401d2d5c69f">More...</a><br /></td></tr>
<tr class="separator:ga54a951c643d6f36f9b09c401d2d5c69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">ADC_DISABLE_CMP1</a>(adc)</td></tr>
<tr class="memdesc:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable comparator 1.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1151fa0624c494ea2b25aa845fd5b13">More...</a><br /></td></tr>
<tr class="separator:gaf1151fa0624c494ea2b25aa845fd5b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">ADC_SET_INPUT_CHANNEL</a>(adc,  u32Mask)</td></tr>
<tr class="memdesc:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set ADC input channel. Enabled channel will be converted while ADC starts.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga397f75687c2af60f55f2ad2a6f3fecef">More...</a><br /></td></tr>
<tr class="separator:ga397f75687c2af60f55f2ad2a6f3fecef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc4222d33d064592ddb8443a80762b62"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">ADC_START_CONV</a>(adc)</td></tr>
<tr class="memdesc:gafc4222d33d064592ddb8443a80762b62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the A/D conversion.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc4222d33d064592ddb8443a80762b62">More...</a><br /></td></tr>
<tr class="separator:gafc4222d33d064592ddb8443a80762b62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d920efefa341fd66884a04964d2e217"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">ADC_STOP_CONV</a>(adc)</td></tr>
<tr class="memdesc:ga4d920efefa341fd66884a04964d2e217"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the A/D conversion.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4d920efefa341fd66884a04964d2e217">More...</a><br /></td></tr>
<tr class="separator:ga4d920efefa341fd66884a04964d2e217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0568dc2323b5564158bae10f0c478aea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0568dc2323b5564158bae10f0c478aea">ADC_SET_DMOF</a>(adc,  u32Format)</td></tr>
<tr class="memdesc:ga0568dc2323b5564158bae10f0c478aea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the output format in differential input mode.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0568dc2323b5564158bae10f0c478aea">More...</a><br /></td></tr>
<tr class="separator:ga0568dc2323b5564158bae10f0c478aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac069e591bd47957cc153a824af8423e6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac069e591bd47957cc153a824af8423e6">ADC_SET_RESOLUTION</a>(adc,  u32Resolution)</td></tr>
<tr class="memdesc:gac069e591bd47957cc153a824af8423e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the resolution of conversion result.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac069e591bd47957cc153a824af8423e6">More...</a><br /></td></tr>
<tr class="separator:gac069e591bd47957cc153a824af8423e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5fdf013a5f635eaa71b7ec84b67c7f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fdf013a5f635eaa71b7ec84b67c7f3">ADC_SET_REF_VOLTAGE</a>(adc,  u32Ref)</td></tr>
<tr class="memdesc:gaa5fdf013a5f635eaa71b7ec84b67c7f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the reference voltage selection.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fdf013a5f635eaa71b7ec84b67c7f3">More...</a><br /></td></tr>
<tr class="separator:gaa5fdf013a5f635eaa71b7ec84b67c7f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga171678965668dbb4d587bea0dc18b633"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga171678965668dbb4d587bea0dc18b633">ADC_SET_POWERDOWN_MODE</a>(adc,  u32Mode,  u32CalEn)</td></tr>
<tr class="memdesc:ga171678965668dbb4d587bea0dc18b633"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set power down mode.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga171678965668dbb4d587bea0dc18b633">More...</a><br /></td></tr>
<tr class="separator:ga171678965668dbb4d587bea0dc18b633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga960dfb0fb779448f637e923438234c5d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga960dfb0fb779448f637e923438234c5d">ADC_ENABLE_PDMA</a>(adc)</td></tr>
<tr class="memdesc:ga960dfb0fb779448f637e923438234c5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable PDMA transfer.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga960dfb0fb779448f637e923438234c5d">More...</a><br /></td></tr>
<tr class="separator:ga960dfb0fb779448f637e923438234c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacaca87c24cb715dad2392317bcda85dd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacaca87c24cb715dad2392317bcda85dd">ADC_DISABLE_PDMA</a>(adc)</td></tr>
<tr class="memdesc:gacaca87c24cb715dad2392317bcda85dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable PDMA transfer.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacaca87c24cb715dad2392317bcda85dd">More...</a><br /></td></tr>
<tr class="separator:gacaca87c24cb715dad2392317bcda85dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1fd411c480e912a171191312fe46853"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1fd411c480e912a171191312fe46853">ADC_GET_PDMA_DATA</a>(adc)</td></tr>
<tr class="memdesc:gaf1fd411c480e912a171191312fe46853"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PDMA current transfer data.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf1fd411c480e912a171191312fe46853">More...</a><br /></td></tr>
<tr class="separator:gaf1fd411c480e912a171191312fe46853"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7033da903c767e3fcd564d1695a43fac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</td></tr>
<tr class="memdesc:ga7033da903c767e3fcd564d1695a43fac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API configures ADC module to be ready for convert the input from selected channel.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">More...</a><br /></td></tr>
<tr class="separator:ga7033da903c767e3fcd564d1695a43fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga68854f8ea2f77c73a8cf029034ec4885"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable ADC module.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">More...</a><br /></td></tr>
<tr class="separator:ga68854f8ea2f77c73a8cf029034ec4885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Source, uint32_t u32Param)</td></tr>
<tr class="memdesc:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the hardware trigger condition and enable hardware trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">More...</a><br /></td></tr>
<tr class="separator:ga685b6f8aa3a0f1fea8992f0f105e7241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9703215cf92463b8c79f486aa6270ca8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga9703215cf92463b8c79f486aa6270ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable hardware trigger ADC function.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">More...</a><br /></td></tr>
<tr class="separator:ga9703215cf92463b8c79f486aa6270ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3bc36c0a0554723f815fca2afe66671f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Source, uint32_t u32PDMACnt)</td></tr>
<tr class="memdesc:ga3bc36c0a0554723f815fca2afe66671f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config and enable timer trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">More...</a><br /></td></tr>
<tr class="separator:ga3bc36c0a0554723f815fca2afe66671f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9527ef6a552d887f6e530fa008176057"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</td></tr>
<tr class="memdesc:ga9527ef6a552d887f6e530fa008176057"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable timer trigger ADC function.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">More...</a><br /></td></tr>
<tr class="separator:ga9527ef6a552d887f6e530fa008176057"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</td></tr>
<tr class="memdesc:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure the hardware trigger condition and enable hardware trigger.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">More...</a><br /></td></tr>
<tr class="separator:ga6adcefbb9e5bc5aa9ea0741d028532fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the interrupt(s) selected by u32Mask parameter.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">More...</a><br /></td></tr>
<tr class="separator:gaa17b8a283b2eebe8bfb193056c7fed35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a> (<a class="el" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the interrupt(s) selected by u32Mask parameter.  <a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">More...</a><br /></td></tr>
<tr class="separator:ga7064e6cb526c985efcdb85a4644c5d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series ADC driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>13 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/18 10:07a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d7/d19/adc_8h_source.html">adc.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
